Bug 114542 - Java HelpSet Help template wizard was not finished
Java HelpSet Help template wizard was not finished
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Templates
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Jesse Glick
issues@apisupport
beta1fix
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 16:42 UTC by pzajac
Modified: 2007-09-07 12:07 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pzajac 2007-09-03 16:42:09 UTC
[070903]
Steps to reproduce:
1) Create standalone NBM project
2) Show  Java HelpSet template from templates
3) Click to finish button
Comment 1 pzajac 2007-09-03 16:43:14 UTC
The wizard dialog was not closed. 
Comment 2 pzajac 2007-09-03 16:44:04 UTC
IMHO it's serious problem and probably stopper for beta1/ 
Comment 3 Jesse Glick 2007-09-04 17:01:59 UTC
Yup, stupid refactoring mistake.

Checking in NewJavaHelpIterator.java;
/shared/data/ccvs/repository/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/wizard/javahelp/NewJavaHelpIterator.java,v
 <--  NewJavaHelpIterator.java
new revision: 1.8; previous revision: 1.7
done
Comment 4 Jesse Glick 2007-09-04 17:05:20 UTC
I sent a review request, according to

http://wiki.netbeans.org/wiki/view/60Beta1QC
Comment 5 Jesse Glick 2007-09-04 17:08:17 UTC
Some diagnostic fixes which would have made this easier to find:

Checking in openide/dialogs/src/org/openide/WizardDescriptor.java;
/shared/data/ccvs/repository/openide/dialogs/src/org/openide/WizardDescriptor.java,v  <--  WizardDescriptor.java
new revision: 1.49; previous revision: 1.48
done
Checking in apisupport/project/src/org/netbeans/modules/apisupport/project/CreatedModifiedFilesFactory.java;
/shared/data/ccvs/repository/apisupport/project/src/org/netbeans/modules/apisupport/project/CreatedModifiedFilesFactory.java,v
 <--  CreatedModifiedFilesFactory.java
new revision: 1.35; previous revision: 1.34
done
Comment 6 pzajac 2007-09-05 16:57:18 UTC
verified in [070905]
Comment 7 Jesse Glick 2007-09-05 17:02:02 UTC
Checking in NewJavaHelpIterator.java;
/shared/data/ccvs/repository/apisupport/project/src/org/netbeans/modules/apisupport/project/ui/wizard/javahelp/NewJavaHelpIterator.java,v
 <--  NewJavaHelpIterator.java
new revision: 1.7.2.1; previous revision: 1.7
done
Comment 8 Jaromir Uhrik 2007-09-07 12:07:01 UTC
Verified in the following build/configuration:
Product Version: NetBeans IDE 6.0 Beta 1 (Build 200709070000) 
Java: 1.5.0_07; Java HotSpot(TM) Client VM 1.5.0_07-87 
System: Mac OS X version 10.4.10 running on i386; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo